[SciPy-user] matplotlib and scipy.stats on Tiger

John Lichtenstein johnlichtenstein at mac.com
Thu Sep 21 19:44:23 CDT 2006


Has anyone found a way to get both scipy.stats and matplot lib to  
work on Tiger? If I use the package from scipy.org, matplot lib  
(0.87.4_r2587) doesn't work. If I install matplotlib to 0.87.5 from  
undefined.org, matplotlib it complains that it was compiled against a  
newer version of numpy. Installing Numpy 1.0b5 from undefined.org  
fixes matplotlib but breaks scipy, which then complains it was built  
on an older version of numpy. Installing scipy 0.5.1 from  
undefined.org lets me import scipy, but if i try to import  
scipy.stats I get

Traceback (most recent call last):
   File "<pyshell#3>", line 1, in -toplevel-
     import scipy.stats
   File "/Library/Frameworks/Python.framework/Versions/2.4/lib/ 
python2.4/site-packages/scipy/stats/__init__.py", line 7, in -toplevel-
     from stats import *
   File "/Library/Frameworks/Python.framework/Versions/2.4/lib/ 
python2.4/site-packages/scipy/stats/stats.py", line 191, in -toplevel-
     import scipy.special as special
   File "/Library/Frameworks/Python.framework/Versions/2.4/lib/ 
python2.4/site-packages/scipy/special/__init__.py", line 8, in - 
toplevel-
     from basic import *
   File "/Library/Frameworks/Python.framework/Versions/2.4/lib/ 
python2.4/site-packages/scipy/special/basic.py", line 8, in -toplevel-
     from _cephes import *
ImportError: Inappropriate file type for dynamic loading

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://projects.scipy.org/pipermail/scipy-user/attachments/20060921/755b0eb9/attachment-0001.html 


More information about the SciPy-user mailing list